Page MenuHomePhabricator

App doesn't work properly after having reference preview error
Closed, ResolvedPublicBUG REPORT

Description

Issue

The app does not work properly after having a reference preview error

Steps to Reproduce

  1. go to the article http://localhost:8080/#/article/be/%D0%9A%D0%B0%D1%86%D1%8F%D1%80%D1%8B%D0%BD%D0%B0_%D0%9C%D0%B5%D0%B4%D1%8B%D1%87%D1%8B
  2. go to next page
  3. select the reference [4]

Actual Results

User doesn't see the reference preview popup, and then unable to view article preview or even open the menu settings. It appears that the error breaks other functionality.

Expected Results

Nothing should happen because there was no reference found in the article.

Event Timeline

hueitan created this task.May 11 2020, 9:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2020, 9:32 AM
AMuigai triaged this task as Low priority.May 11 2020, 11:59 AM
AMuigai raised the priority of this task from Low to Medium.May 11 2020, 12:01 PM
AMuigai moved this task from Bugs to Kanban on the Inuka-Team board.
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai updated the task description. (Show Details)May 11 2020, 1:07 PM
hueitan claimed this task.May 11 2020, 2:11 PM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.May 11 2020, 7:08 PM

The API gives us 4 references. It may be that it fails to parse one of them.

Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.May 14 2020, 3:53 PM

which tag should we use to signal API team?

which tag should we use to signal API team?

That would be Product-Infrastructure-Team-Backlog but it might be better to file a new task to report the difference between the references in the article vs. API.

Ticket created here T253481: The number of citation doesn't match when using `/api/rest_v1/page/mobile-sections/`, I hope the description is clear, do update if the provided information isn't enough.

AMuigai closed this task as Resolved.Jun 3 2020, 1:36 PM